@charset "utf-8";
/* CSS Document */
#addImagePopup {
    min-height: 600px;
    width: 800px;
    top: calc(50% - 300px);
    left: calc(50% - 400px);
}

.imagePopup {
    background-color: rgb(251,251,253) !important;
    color: rgb(0,0,0) !important;
    border: 1px solid rgba(199,60,128 , 0.15);
}

#addSnippetPopup {
    min-height: 200px;
    width: 400px;
    top: calc(50% - 100px);
    left: calc(50% - 200px);
}

#editSliderPopup, #editBannerPopup, .popup.details .editPopup {
    width: 800px;
    margin: auto!important;
    box-sizing: border-box;
    padding-right: 150px;
}

#slideImagePreview, #bannerImagePreview {
    max-width: 60%;
    max-height: 400px;
    margin-top: 10px;
}

#insertImagePopup {
    min-height: 300px;
    width: 500px;
    margin: auto;
    top: calc(50% - 150px);
}

.popup {
    width: 100%;
}

.popup h5 {
    padding: 10px 15px;
    display: inline-block;
    margin: 0;
}

.popup .topBar {
    font-size: 20px;
    cursor: move;
    display: flex;
    justify-content: space-between;
}

.popup .cancelPopup {
    padding: 10px 15px;
    cursor: pointer;
    display: inline-block;
}

.popup .cancelPopup.button {
    position: absolute;
    bottom: 20px;
    right: 20px;
}

.popup .toolbar {
    border-top: 1px solid rgba(0, 0, 0, 0.2);
}

.popup .toolbar .actionMenu .button {
    transition: .5s;
}

.popup .toolbar .actionMenu.disabled .button, .popup .toolbar.disabled .button, .popup .toolbar.disabled .selectWrapper {
    opacity: 0.7;
    pointer-events: none;
}

.popup .browser {
    height: 455px;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    align-content: baseline;
}

.popup .button {
    min-width: 30px;
    min-height: 0;
}

.popup .button.back {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 1;
}

.popup .button.newFolder .fa-plus-circle {
    position: absolute;
    font-size: 12px;
    bottom: 6px;
    right: 10px;
}

.popup .insert, .popup .done {
    float: right;
    margin: 10px;
}

.popup .insertOptions {
    padding: 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    align-content: baseline;
}

.popup .dimensions input {
    margin: 5px;
}

.notice {
    display: none;
    text-align: center;
    padding: 20px;
}

.toolbar.info .select {
    padding: 10px;
}

.toolbar .row {
    display: flex;
    justify-content: space-between;
    padding: 5px 10px;
}

.images.columns {
    justify-content:flex-start
}

.images.columns .column {
    flex-grow:1;
    flex-shrink:1;
    width:calc(100% / 3);
    margin:0 12px;
}

.images.columns .column:first-child {
    margin-left:0px;
}

.images.columns .column:last-child {
    margin-right:0px;
}

.images.columns .column img {
    max-width:100%;
    height:auto;
    margin-top:12px;
}

.browser.grid .item {
    width: calc(100% / 5);
    height: 170px;
    text-align:center;
    padding: 10px;
    box-sizing: border-box;
}

.browser.list .item {
    width: 100%;
    height: 25px;
    text-align:left;
    display: flex;
    align-items: center;
    justify-content: space-between;
} 

.browser.list .selected {
    box-shadow: none;
}

.browser .item {
    display: inline-block;
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
}

.browser.grid .item .folder {
    font-size: 105px;
}

.browser .item.new .folder {
    opacity: 0.75;
}

.browser .item.recentlyAdded {
    display: none;
}

.browser.grid .item > div {
    background-size: cover;
    background-position: center;
    height: calc(100% - 29px);
    width: calc(100% - 10px);
    border-radius: 4px;
    margin: 5px;
    box-sizing: border-box;
}

.browser.list .item > div {
    display: inline-block;
}

.browser.list .item .image {
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
    background-size: 0 0;
    padding: 2px 5px;
    box-sizing: border-box;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.browser.list .item .image::before {
    content: "\f1c5";
}

.browser.list .item .folder {
    padding: 2px 5px;
    box-sizing: border-box;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.browser.grid .item .selected {
    border: 1px solid #fff;
    opacity: 0.9;
}

.browser .item input {
    margin: 0px;
    border: none;
    box-shadow: none;
    background-color: rgba(0,0,0,0);
    font-size: 14px;
    outline: none;
    text-overflow: ellipsis;
}

.browser.grid .item input {
    width: calc(100% - 20px);
    text-align: center;
}

.browser.list .item input {
    text-align: left;
    padding: 0;
    width: 100%;
}

.browser.grid .item .modifiedDate, .browser.grid .item .fileExtension, .browser.grid .item .fileSize {
    display: none;
}

.browser.list .item .fileSize {
    width: 75px;
}

.browser.list .item .fileExtension {
    width: 40px;
}

.browser.list .item .modifiedDate {
    width: 90px;
}

.browser.list .item {
     border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.browser.list .item > * {
    height: 100%;
    display: flex;
    align-items: center;
}

.browser.list .item > *:last-child {
    border: 0;
}

.browser.list .item span {
    padding: 2px 5px;
    box-sizing: border-box;
    pointer-events: none;
}

.browser.list .item span.fileName {
    flex: 1;
}

.browser .uploader {
    width: 100%;
    position: relative;
}

.browser .uploader .dropzone {
    text-align: center;
    height: 100%;
    position: relative;
    display: flex;
	align-content: flex-start;
    cursor: pointer;
    flex-wrap: wrap;
    background-color: transparent!important;
}

.browser .uploader .dropzone .dropzoneText {
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 290px;
    pointer-events: none;
}

.browser .uploader .dropzone .fas {
    font-size: 100px;
    transition: 0.5s;
}

.browser .uploader .dropzone .fa-arrow-alt-up {
    position: absolute;
    top: 0;
    z-index: 1;
    right: 0px;
    left: 0;
}

.browser .uploader .dropzone .fa-arrow-alt-up:after {
    content: '\f357';
    position: absolute;
    top: -17px;
    z-index: -1;
    right: 0px;
    left: 0;
    color: #fff;
    font-size: 120px;
}

.browser .uploader .dropzone .fa-hdd{
    margin-top: 65px;
}

.browser .uploader .dropzone:hover .fa-arrow-alt-up {
    top: -10px;
}

.browser .uploader .dropzone .dz-preview {
    margin: 5px;
}

.browser .uploader .dropzone .dz-preview.dz-image-preview {
    height: 140px;
    border-radius: 4px;
    z-index: 2;
	box-shadow: 1px 1px 4px -1px rgba(0,0,0,0.2);
}

.locationPath {
    width:calc(100% - 30px);
    padding: 0px 15px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    font-size: 18px;
}

.locationPath .breadcrumb {
    padding: 2px 0;
}

.locationPath .breadcrumb:hover {
    cursor: pointer;
}

.buttonGroup, .buttonSet {
    display: flex;
}

.buttonGroup > div {
    margin-right: 5px!important;
}

.buttonGroup > div:last-child {
    margin-right: 0!important;
}

.buttonSet input {
    height: auto;
    margin: 0;
    border: 1px solid rgba(0, 0, 0, 0.2);
}

.buttonSet input:first-child {
    border-right: 0;
}

.buttonSet .button {
    border-radius: 0;
    margin: 0;
}

.buttonSet .button:first-child {
    border-radius: 4px 0px 0px 4px
}

.buttonSet .button:last-child {
    border-radius: 0px 4px 4px 0px
}

.info p, .info select, .info .selectWrapper {
	display: inline-block;
	margin: 0;
	font-size: 14px;
	position: relative;
}

.info select {
	padding: 5px;
	padding-right: 25px;
    border: none;
    border-radius: 4px;
	outline: none;
	-webkit-appearance: none;
    -moz-appearance: none;
	text-shadow: 0px 1px 0px rgba(18,18,18,0.40);
	font-weight: 500;
    height: 100%;
}

.info .selectWrapper:after {
	content: '\f078';
	font-family: Font Awesome\ 5 Pro;
	position: absolute;
	right: 5px;
	top: 0;
	bottom: 0;
	display: block;
	height: 16px;
	margin: auto;
	color: #FFFFFF;
	text-shadow: 0px 1px 0px rgba(18,18,18,0.40);
	font-weight: 500;
	font-size: 12px;
    pointer-events: none;
}

.info select::-ms-expand {
    display: none;
}